Bug 62199 - /sbin/bin ->bin link created instead of /sbin ->bin
/sbin/bin ->bin link created instead of /sbin ->bin
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: mkinitrd (Show other bugs)
skipjack-beta1
All Linux
medium Severity low
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-03-28 06:47 EST by Miloslav Trmac
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-04 22:45:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested patch (269 bytes, patch)
2002-03-28 06:48 EST, Miloslav Trmac
no flags Details | Diff

  None (edit)
Description Miloslav Trmac 2002-03-28 06:47:54 EST
Description of problem:
In the initrd, a /sbin directory is created and then ln -s bin .../sbin
is executed, which creates a /sbin/bin symlink. I think the intent was to create
a symlink /sbin ->bin.

Version-Release number of selected component (if applicable):
mkinitrd-3.3.6-1

Additional info:
Unrelated issue, just a bit strange: when I gunzip the mkinitrd in 7.2 with
kernel 2.4.9-21, I can see contents of my /etc/group in it. However, the file is
not there when I loop mount the initrd. When I ran mkinitrd again, the
/etc/group file was there again. I haven't been able to find how the file gets
in there (the only place the mkinitrd gets written to is the tar cf - . | tar xf
-, and strac'ing
tar showed nothing). Unless you find this interesting (or security problem?),
forget about it.
Comment 1 Miloslav Trmac 2002-03-28 06:48:20 EST
Created attachment 51127 [details]
Suggested patch
Comment 2 Jeremy Katz 2002-04-04 22:45:21 EST
Fixed in mkinitrd-3.3.7-1 and newer
Comment 3 Jay Turner 2002-04-08 20:48:00 EDT
Fix confirmed with 3.3.8-1.

Note You need to log in before you can comment on or make changes to this bug.